Bug 241486 - Review Request: ocaml-curl - OCaml Curl library (ocurl)
Review Request: ocaml-curl - OCaml Curl library (ocurl)
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Package Reviews List
:
Depends On: 240557
Blocks: 241487
  Show dependency treegraph
 
Reported: 2007-05-26 10:49 EDT by Richard W.M. Jones
Modified: 2015-09-14 09:46 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 13:39:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2007-05-26 10:49:25 EDT
Spec URL: http://annexia.org/tmp/ocaml-curl.spec
SRPM URL: http://annexia.org/tmp/ocaml-curl-0.2.1-1.src.rpm
Description: ocurl is a wrapper around the CURL library.
Comment 1 Xavier Lamien 2007-06-06 02:41:42 EDT
will start at tomorrow
Comment 2 Nigel Jones 2007-06-06 08:52:16 EDT
(In reply to comment #1)
> will start at tomorrow
Richard is not sponsored at the moment, plus I'll note that I've talked to a 
couple of people that'd be able to sponsor Richard with these packages, they 
seem to want to wait until the ocaml guidelines are in.  Personally I would 
have reviewed half the ocaml- packages by now if it was possible ;)

(I don't think this is anything new to Richard, I think I told him the other 
week)
Comment 3 Richard W.M. Jones 2007-06-07 04:34:30 EDT
Xavier, Nigel:

Just a quick note to say that I'll be bringing out updated versions
of these packages when I have time (probably next week).  I intend
to:

(1) Make sure they all compile on bytecode-only architectures.
(2) Remove the recursive call to rpm in ocaml-find-requires.sh
(3) Change the mod deps to ocaml(Module) = hash
(4) Investigate getting ocaml-find-requires/ocaml-find-provides into
rpmbuild base so that we don't need external scripts
(5) (Possibly) rebase to OCaml 3.10

(#5 is ambitious)

These come out of the Fedora Packaging meeting last Tuesday (see
the IRC log here:
http://fedoraproject.org/wiki/Packaging/Minutes20070605?highlight=ocaml )

Rich.
Comment 4 Xavier Lamien 2007-06-08 00:12:22 EDT
ho!
So the block NEEDSPONSOR should be set.

this guideline it's a good point.
Comment 5 Xavier Lamien 2007-06-09 09:09:16 EDT
This package has a dependency on ocaml-findlib-devel which isn't in the
repository yet. This dependency has been requested for a review which shoulb be
approved and imported before make a full review of this one.

Note: So i added this review request in dependency block.
Comment 6 Richard W.M. Jones 2007-06-11 15:46:18 EDT
Spec URL: http://annexia.org/tmp/ocaml/ocaml-curl.spec
SRPM URL: http://annexia.org/tmp/ocaml/ocaml-curl-0.2.1-2.src.rpm

Updated to latest OCaml packaging guidelines.
Built against OCaml 3.10.
Tested against bytecode-only architectures.
Comment 7 Xavier Lamien 2007-07-26 23:43:26 EDT
Starting review...
Comment 8 Xavier Lamien 2007-08-01 21:59:39 EDT
=== REQUIRED ITEMS ===

 [ OK ] Package successfully compiles and builds on at least one supported arch.
 [ OK ] Mock built on x86_64 [ F-Devel ]
 [ OK ] Package is named according to the Package Naming and Ocaml Guidelines.
 [ OK ] Spec file name match the packaging naming Ocaml guidelines.
 [ Ok ] Package meets the Packaging Guidelines.
 [ OK ] Package is not relocatable.
 [ OK ] Buildroot is correct
 [ OK ] Package is licensed with an open-source compatible license.
 [ OK ] License field in the package spec file matches the actual license.
     License type: LGPL
 [ OK ] Spec file is legible and written in American English.
 [ OK ] Package is not known to require ExcludeArch.
 [ OK ] All build dependencies are listed in BuildRequires.
 [ OK ] The spec file handles locales properly.
 [ OK ] ldconfig called in %post and %postun if required.
 [ OK ] Package must own all directories that it creates.
 [ OK ] Package requires other packages for directories it uses.
 [ OK ] Package does not contain duplicates in %files.
 [ OK ] Permissions on files are set properly.
 [ OK ] Package has a %clean section.
 [ OK ] Package consistently uses macros.
 [ OK ] Package contains code, or permissable content.
 [ SKIP ] Large documentation files are in a -doc subpackage, if required.
 [ OK ] Package uses nothing in %doc for runtime.
 [ SKIP ] Header files in -devel subpackage, if present.
 [ SKIP ] Static libraries in -devel subpackage, if present.
 [ SKIP ] Package requires pkgconfig, if .pc files are present.
 [ SKIP ] Development .so files in -devel subpackage, if present.
 [ CHECK ] Fully versioned dependency in subpackages, if present.
 [ OK ] Package does not contain any libtool archives (.la).
 [ SKIP ] Package contains a properly installed %{name}.desktop file.
 [ OK ] Package does not own files or directories owned by other packages

According to OCaml Packaging Guideline:
 
 [ OK ] OCaml modules / libs should be named ocaml-foo.
 [ OK ] The spec file should still build bytecode libraries and binaries.
 [ OK ] Should Test if the native compiler is present.
 [ OK ] main package should contain files matching all files which mentioned in 
        OCaml guideline (if present).
 [ OK ] -devel sub-package Should contains all files which're mentioned in OCaml
        guidelines (if present).

 [ ? ]  rpmlint output:

* On -devel and SRPM packages: silent.

* On main package:
W: ocaml-curl devel-file-in-non-devel-package /usr/lib64/ocaml/curl/curl.cmi
E: ocaml-curl only-non-binary-in-usr-lib

can be ignored

E: ocaml-curl no-binary --> should fix



=== Some commnet: ===

# about docs
Use %doc rules instead of
"cp -r examples $RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version}/"
-----------------
%doc examples/*
-----------------

# About requires
As you BuildRequired curl-devel, you should not set curl on Requires.
rpmbuild should do it.
Comment 9 Richard W.M. Jones 2007-08-02 08:52:39 EDT
About:

  E: ocaml-curl no-binary

I don't know how to fix this one.  I asked about it on fedora-devel-list
some time ago and got a response which I took to mean that I should ignore
the error.  Search down in the following message for "no-binary":

  https://www.redhat.com/archives/fedora-packaging/2007-May/msg00218.html

Docs & requires are fixed in these packages:

  http://annexia.org/tmp/ocaml/ocaml-curl-0.2.1-3.fc8.src.rpm
  http://annexia.org/tmp/ocaml/ocaml-curl.spec
Comment 10 Xavier Lamien 2007-08-02 11:43:31 EDT
Right, 
by set it to noarch, it can be arch-specific anymore.
This error can be ignored.

However i think those rpmlint issues should be mentioned in OCaml Packaging
Guidelines (maybe you already plan to do it :)).

Well,
* All other issues above has been fixed in 0.2.1-3


==========
*APPROVED*
==========
Comment 11 Richard W.M. Jones 2007-08-02 11:46:01 EDT
New Package CVS Request
=======================
Package Name: ocaml-curl
Short Description: OCaml Curl library (ocurl)
Owners: rjones@redhat.com
Branches: F-7
InitialCC: rjones@redhat.com,lxtnow@gmail.com
Comment 12 Kevin Fenzi 2007-08-02 12:39:35 EDT
cvs done.
Comment 13 Ding-Yi Chen 2015-09-13 20:23:00 EDT
Package Change Request
======================
Package Name: ocaml-curl
New Branches: el6 epel7
Owners: rjones dchen
Comment 14 Gwyn Ciesla 2015-09-14 09:46:41 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.